Subject: bug#57813: Icon images are non-functional

From: Juri Linkov <[email-masked]>
Date: Tue, 20 Sep 2022 19:12:33 +0300

>> Pushed.  There is still a remaining problem: mouse clicks in the margins
>> have no effect.  Then I noticed in (info "(elisp) Display Margins"):
>>
>>   There is currently no way to make text or images in the margin
>>   mouse-sensitive.
>>
>> This means no way to bind mouse events in the margins?
>
> When I click the mouse in a left margin, "C-h c" says:
>
>   <left-margin> <mouse-1> (translated from <down-mouse-1> <mouse-1>) at that spot is undefined
>
> So it looks like this is possible, and that text in the manual is
> simply outdated?

These are mode bindings for the whole buffer, but I expected margin-local
bindings that really don't work, so probably the manual is right.
Now I added mode bindings, and everything works fine.